OpenCV: IplImage Struct Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | Public Attributes | List of all members
IplImage Struct Reference
Core functionality » C structures and operations

`#include "types_c.h"`

## Public Member Functions
| _IplImage ()
| _IplImage (const cv::Mat &m)

## Public Attributes
int | align
int | alphaChannel
int | BorderConst [4]
int | BorderMode [4]
char | channelSeq [4]
char | colorModel [4]
int | dataOrder
int | depth
int | height
int | ID
char * | imageData
char * | imageDataOrigin
void * | imageId
int | imageSize
struct _IplImage * | maskROI
int | nChannels
int | nSize
int | origin
struct _IplROI * | roi
struct _IplTileInfo * | tileInfo
int | width
int | widthStep

## Detailed Description

The IplImage is taken from the Intel Image Processing Library, in which the format is native. OpenCV only supports a subset of possible IplImage formats, as outlined in the parameter list above.

In addition to the above restrictions, OpenCV handles ROIs differently. OpenCV functions require that the image size or ROI size of all source and destination images match exactly. On the other hand, the Intel Image Processing Library processes the area of intersection between the source and destination images (or ROIs), allowing them to vary independently.

## Member Function Documentation

## ◆ _IplImage() [1/2]

IplImage::_IplImage | ( |  | ) |
| inline

## ◆ _IplImage() [2/2]

IplImage::_IplImage | ( | const cv::Mat & | m | ) |

## Member Data Documentation

## ◆ align

int IplImage::align

Alignment of image rows (4 or 8). OpenCV ignores it and uses widthStep instead.

## ◆ alphaChannel

int IplImage::alphaChannel

Ignored by OpenCV

## ◆ BorderConst

int IplImage::BorderConst[4]

Ditto.

## ◆ BorderMode

int IplImage::BorderMode[4]

Ignored by OpenCV.

## ◆ channelSeq

char IplImage::channelSeq[4]

ditto

## ◆ colorModel

char IplImage::colorModel[4]

Ignored by OpenCV

## ◆ dataOrder

int IplImage::dataOrder

0 - interleaved color channels, 1 - separate color channels. cvCreateImage can only create interleaved images

## ◆ depth

int IplImage::depth

Pixel depth in bits: IPL_DEPTH_8U, IPL_DEPTH_8S, IPL_DEPTH_16S, IPL_DEPTH_32S, IPL_DEPTH_32F and IPL_DEPTH_64F are supported.

## ◆ height

int IplImage::height

Image height in pixels.

## ◆ ID

int IplImage::ID

version (=0)

## ◆ imageData

char* IplImage::imageData

Pointer to aligned image data.

## ◆ imageDataOrigin

char* IplImage::imageDataOrigin

Pointer to very origin of image data (not necessarily aligned) - needed for correct deallocation

## ◆ imageId

void* IplImage::imageId

" "

## ◆ imageSize

int IplImage::imageSize

Image data size in bytes (==image->height*image->widthStep in case of interleaved data)

## ◆ maskROI

struct _IplImage* IplImage::maskROI

Must be NULL.

## ◆ nChannels

int IplImage::nChannels

Most of OpenCV functions support 1,2,3 or 4 channels

## ◆ nSize

int IplImage::nSize

sizeof(IplImage)

## ◆ origin

int IplImage::origin

0 - top-left origin, 1 - bottom-left origin (Windows bitmaps style).

## ◆ roi

struct _IplROI* IplImage::roi

Image ROI. If NULL, the whole image is selected.

## ◆ tileInfo

struct _IplTileInfo* IplImage::tileInfo

" "

## ◆ width

int IplImage::width

Image width in pixels.

## ◆ widthStep

int IplImage::widthStep

Size of aligned image row in bytes.

The documentation for this struct was generated from the following file:

- core/include/opencv2/core/types_c.h